Package org.eclipse.net4j.util.om

## Class OSGiActivator.WithState

- java.lang.Object
- - org.eclipse.net4j.util.om.OSGiActivator
  - - org.eclipse.net4j.util.om.OSGiActivator.WithState

- All Implemented Interfaces:
    `org.osgi.framework.BundleActivator`
  Enclosing class:
    OSGiActivator

      public abstract static class OSGiActivator.WithState
      extends OSGiActivator

  An OSGi `activator` that stores `bundle state` between sessions.
  Since:
    3.1
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.om.OSGiActivator

      `OSGiActivator.StateHandler, OSGiActivator.WithState`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.om.OSGiActivator

      `bundleContext`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WithState​(OMBundle bundle)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `doStart()` |
    `protected abstract void` | `doStartWithState​(java.lang.Object state)` |
    `protected void` | `doStop()` |
    `protected abstract java.lang.Object` | `doStopWithState()` |

    - ### Methods inherited from class org.eclipse.net4j.util.om.OSGiActivator

      `clone, equals, getOMBundle, hashCode, start, start, stop, stop, toString, traceStart, traceStop`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WithState

          public WithState​(OMBundle bundle)

  - ### Method Detail

    - #### doStart

          protected final void doStart()
                                throws java.lang.Exception

      Overrides:
        `doStart` in class `OSGiActivator`
      Throws:
        `java.lang.Exception`

    - #### doStop

          protected final void doStop()
                               throws java.lang.Exception

      Overrides:
        `doStop` in class `OSGiActivator`
      Throws:
        `java.lang.Exception`

    - #### doStartWithState

          protected abstract void doStartWithState​(java.lang.Object state)
                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### doStopWithState

          protected abstract java.lang.Object doStopWithState()
                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`